[kaffe] CVS kaffe (robilad): Trampoline code cleanup from Gcc assembler to real assembler files

Kaffe CVS cvs-commits at kaffe.org
Wed Mar 16 02:36:19 PST 2005


PatchSet 5571 
Date: 2005/03/16 10:30:44
Author: robilad
Branch: HEAD
Tag: (none) 
Log:
Trampoline code cleanup from Gcc assembler to real assembler files

2005-03-15  Dalibor Topic  <robilad at kaffe.org>

* config/powerpc/trampolines.c: Use common powerpc assembler
syntax, and include asm/ppc_asm.h to fix build problems with JIT on darwin.

Reported and suggested by: Christian Thalinger <twisti at complang.tuwien.ac.at>

* configure.ac: Check for assembler. Check for assembler trampoline file
instead of C one. Check for asm/ppc_asm.h and asm/cachectl.h.

* config/Makefile.am: Replaced trampline.c trampoline.S for the new,
real assembler files.

* config/alpha/trampolines.S,
config/arm/trampolines.S,
config/i386/trampolines.S,
config/m68k/trampolines.S,
config/mips/trampolines.S,
config/powerpc/trampolines.S,
config/sh/trampolines.S,
config/sparc/trampolines.S:
New files.

* config/alpha/trampolines.c,
config/arm/trampolines.c,
config/i386/trampolines.c,
config/m68k/trampolines.c,
config/mips/trampolines.c,
config/powerpc/trampolines.c,
config/sh/trampolines.c,
config/sparc/trampolines.c:
Removed.

* config/i386/jit.h (arch_is_trampoline_frame)
Removed prototype.

* config/mips/jit.h:
Include <asm/cachectl.h> if available.

* kaffe/kaffevm/gcj/gcj-except.c:
(arch_is_trampoline_frame) Moved over here.

* kaffe/kaffevm/jit/Makefile.am,
kaffe/kaffevm/jit3/Makefile.am:
Use trampolines.S instead of trampolines.c.

* kaffe/kaffevm/jit/methodcalls.c:
Don't include trampolines.c.

Members: 
	ChangeLog:1.3745->1.3746 
	Makefile.in:1.206->1.207 
	aclocal.m4:1.121->1.122 
	configure:1.432->1.433 
	configure.ac:1.122->1.123 
	config/Makefile.am:1.52->1.53 
	config/Makefile.in:1.174->1.175 
	config/config.h.in:1.136->1.137 
	config/alpha/trampolines.S:INITIAL->1.1 
	config/alpha/trampolines.c:1.8->1.9(DEAD) 
	config/arm/trampolines.S:INITIAL->1.1 
	config/arm/trampolines.c:1.6->1.7(DEAD) 
	config/i386/jit.h:1.25->1.26 
	config/i386/trampolines.S:INITIAL->1.1 
	config/i386/trampolines.c:1.8->1.9(DEAD) 
	config/m68k/trampolines.S:INITIAL->1.1 
	config/m68k/trampolines.c:1.7->1.8(DEAD) 
	config/mips/jit.h:1.13->1.14 
	config/mips/trampolines.S:INITIAL->1.1 
	config/mips/trampolines.c:1.3->1.4(DEAD) 
	config/powerpc/trampolines.S:INITIAL->1.1 
	config/powerpc/trampolines.c:1.2->1.3(DEAD) 
	config/sh/trampolines.S:INITIAL->1.1 
	config/sh/trampolines.c:1.1->1.2(DEAD) 
	config/sparc/trampolines.S:INITIAL->1.1 
	config/sparc/trampolines.c:1.3->1.4(DEAD) 
	include/Makefile.in:1.218->1.219 
	kaffe/Makefile.in:1.144->1.145 
	kaffe/jvmpi/Makefile.in:1.66->1.67 
	kaffe/kaffe/Makefile.in:1.164->1.165 
	kaffe/kaffeh/Makefile.in:1.144->1.145 
	kaffe/kaffevm/Makefile.in:1.195->1.196 
	kaffe/kaffevm/boehm-gc/Makefile.in:1.30->1.31 
	kaffe/kaffevm/gcj/Makefile.in:1.124->1.125 
	kaffe/kaffevm/gcj/gcj-except.c:1.10->1.11 
	kaffe/kaffevm/intrp/Makefile.in:1.133->1.134 
	kaffe/kaffevm/jit/Makefile.am:1.17->1.18 
	kaffe/kaffevm/jit/Makefile.in:1.139->1.140 
	kaffe/kaffevm/jit/methodcalls.c:1.7->1.8 
	kaffe/kaffevm/jit3/Makefile.am:1.12->1.13 
	kaffe/kaffevm/jit3/Makefile.in:1.110->1.111 
	kaffe/kaffevm/jni/Makefile.in:1.36->1.37 
	kaffe/kaffevm/kaffe-gc/Makefile.in:1.28->1.29 
	kaffe/kaffevm/systems/Makefile.in:1.132->1.133 
	kaffe/kaffevm/systems/beos-native/Makefile.in:1.124->1.125 
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in:1.130->1.131 
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in:1.134->1.135 
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in:1.108->1.109 
	kaffe/kaffevm/verifier/Makefile.in:1.35->1.36 
	kaffe/man/Makefile.in:1.130->1.131 
	kaffe/scripts/Makefile.in:1.169->1.170 
	kaffe/scripts/bat/Makefile.in:1.123->1.124 
	kaffe/scripts/compat/Makefile.in:1.148->1.149 
	kaffe/xprof/Makefile.in:1.98->1.99 
	libraries/Makefile.in:1.127->1.128 
	libraries/clib/Makefile.in:1.141->1.142 
	libraries/clib/awt/Makefile.in:1.141->1.142 
	libraries/clib/awt/X/Makefile.in:1.132->1.133 
	libraries/clib/awt/classpath-gtk/Makefile.in:1.22->1.23 
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in:1.30->1.31 
	libraries/clib/awt/classpath-gtk/resource/Makefile.in:1.21->1.22 
	libraries/clib/awt/nano-X/Makefile.in:1.5->1.6 
	libraries/clib/awt/qt/Makefile.in:1.89->1.90 
	libraries/clib/classpath/Makefile.in:1.14->1.15 
	libraries/clib/io/Makefile.in:1.136->1.137 
	libraries/clib/libxmlj/Makefile.in:1.41->1.42 
	libraries/clib/management/Makefile.in:1.143->1.144 
	libraries/clib/math/Makefile.in:1.138->1.139 
	libraries/clib/native/Makefile.in:1.175->1.176 
	libraries/clib/net/Makefile.in:1.147->1.148 
	libraries/clib/nio/Makefile.in:1.65->1.66 
	libraries/clib/security/Makefile.in:1.109->1.110 
	libraries/clib/sound/Makefile.in:1.36->1.37 
	libraries/clib/sound/alsa/Makefile.in:1.37->1.38 
	libraries/clib/sound/common/Makefile.in:1.36->1.37 
	libraries/clib/sound/esd/Makefile.in:1.37->1.38 
	libraries/clib/zip/Makefile.in:1.140->1.141 
	libraries/extensions/Makefile.in:1.119->1.120 
	libraries/extensions/comm/Makefile.in:1.113->1.114 
	libraries/extensions/comm/javalib/Makefile.in:1.114->1.115 
	libraries/extensions/microsoft/Makefile.in:1.105->1.106 
	libraries/extensions/microsoft/clib/Makefile.in:1.109->1.110 
	libraries/extensions/microsoft/javalib/Makefile.in:1.107->1.108 
	libraries/extensions/pjava/Makefile.in:1.113->1.114 
	libraries/extensions/pjava/javalib/Makefile.in:1.114->1.115 
	libraries/extensions/servlet/Makefile.in:1.113->1.114 
	libraries/extensions/servlet/javalib/Makefile.in:1.114->1.115 
	libraries/javalib/Makefile.in:1.413->1.414 
	libraries/javalib/awt-implementations/Makefile.in:1.21->1.22 
	libraries/javalib/awt-implementations/kaffe/Makefile.in:1.24->1.25 
	libraries/javalib/gmp-math/Makefile.in:1.26->1.27 
	replace/Makefile.in:1.78->1.79 
	test/Makefile.in:1.136->1.137 
	test/internal/Makefile.in:1.101->1.102 
	test/jni/Makefile.in:1.32->1.33 
	test/regression/Makefile.in:1.207->1.208 
	test/regression/compile_time/Makefile.in:1.64->1.65 
	test/regression/compiler/Makefile.in:1.47->1.48 
	test/regression/run_time/Makefile.in:1.63->1.64 
	tools/Makefile.in:1.37->1.38 
	tools/gjdoc/Makefile.in:1.37->1.38 
	tools/gjdoc/javalib/Makefile.in:1.47->1.48 

Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.3745 kaffe/ChangeLog:1.3746
--- kaffe/ChangeLog:1.3745	Tue Mar 15 02:40:56 2005
+++ kaffe/ChangeLog	Wed Mar 16 10:30:44 2005
@@ -1,3 +1,52 @@
+2005-03-15  Dalibor Topic  <robilad at kaffe.org>
+
+	* config/powerpc/trampolines.c: Use common powerpc assembler
+	syntax, and include asm/ppc_asm.h to fix build problems with JIT on darwin.
+
+	Reported and suggested by: Christian Thalinger <twisti at complang.tuwien.ac.at>
+
+	* configure.ac: Check for assembler. Check for assembler trampoline file
+	instead of C one. Check for asm/ppc_asm.h and asm/cachectl.h.
+
+	* config/Makefile.am: Replaced trampline.c trampoline.S for the new, 
+	real assembler files.
+
+	* config/alpha/trampolines.S,
+	config/arm/trampolines.S,
+	config/i386/trampolines.S,
+	config/m68k/trampolines.S,
+	config/mips/trampolines.S,
+	config/powerpc/trampolines.S,
+	config/sh/trampolines.S,
+	config/sparc/trampolines.S:
+	New files.
+
+	* config/alpha/trampolines.c,
+	config/arm/trampolines.c,
+	config/i386/trampolines.c,
+	config/m68k/trampolines.c,
+	config/mips/trampolines.c,
+	config/powerpc/trampolines.c,
+	config/sh/trampolines.c,
+	config/sparc/trampolines.c:
+	Removed.
+	
+	* config/i386/jit.h (arch_is_trampoline_frame) 
+	Removed prototype.
+
+	* config/mips/jit.h: 
+	Include <asm/cachectl.h> if available.
+
+	* kaffe/kaffevm/gcj/gcj-except.c:
+	(arch_is_trampoline_frame) Moved over here.
+
+	* kaffe/kaffevm/jit/Makefile.am,
+	kaffe/kaffevm/jit3/Makefile.am:
+	Use trampolines.S instead of trampolines.c.
+
+	* kaffe/kaffevm/jit/methodcalls.c:
+	Don't include trampolines.c.
+
 2005-03-14  Dalibor Topic  <robilad at kaffe.org>
 
 	Resynced with GNU Classpath.
Index: kaffe/Makefile.in
diff -u kaffe/Makefile.in:1.206 kaffe/Makefile.in:1.207
--- kaffe/Makefile.in:1.206	Thu Feb 24 15:06:41 2005
+++ kaffe/Makefile.in	Wed Mar 16 10:30:46 2005
@@ -134,6 +134,8 @@
 CAIRO_CFLAGS = @CAIRO_CFLAGS@
 CAIRO_LIBS = @CAIRO_LIBS@
 CC = @CC@
+CCAS = @CCAS@
+CCASFLAGS = @CCASFLAGS@
 CCDEPMODE = @CCDEPMODE@
 CCLD = @CCLD@
 CFLAGS = @CFLAGS@
@@ -231,7 +233,7 @@
 KAFFEVM_ICODE_H = @KAFFEVM_ICODE_H@
 KAFFEVM_JIT_DEF = @KAFFEVM_JIT_DEF@
 KAFFEVM_MD_C = @KAFFEVM_MD_C@
-KAFFEVM_TRAMPOLINES_C = @KAFFEVM_TRAMPOLINES_C@
+KAFFEVM_TRAMPOLINES_S = @KAFFEVM_TRAMPOLINES_S@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_LIBS = @KAFFE_LIBS@
 KLIBFLAGS = @KLIBFLAGS@
Index: kaffe/aclocal.m4
diff -u kaffe/aclocal.m4:1.121 kaffe/aclocal.m4:1.122
--- kaffe/aclocal.m4:1.121	Sun Feb 13 21:55:01 2005
+++ kaffe/aclocal.m4	Wed Mar 16 10:30:46 2005
@@ -30,6 +30,27 @@
 AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION],
 	 [AM_AUTOMAKE_VERSION([1.9.5])])
 
+# Figure out how to run the assembler.                      -*- Autoconf -*-
+
+# Copyright (C) 2001, 2003, 2004, 2005  Free Software Foundation, Inc.
+#
+# This file is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# serial 4
+
+# AM_PROG_AS
+# ----------
+AC_DEFUN([AM_PROG_AS],
+[# By default we simply use the C compiler to build assembly code.
+AC_REQUIRE([AC_PROG_CC])
+test "${CCAS+set}" = set || CCAS=$CC
+test "${CCASFLAGS+set}" = set || CCASFLAGS=$CFLAGS
+AC_ARG_VAR([CCAS],      [assembler compiler command (defaults to CC)])
+AC_ARG_VAR([CCASFLAGS], [assembler compiler flags (defaults to CFLAGS)])
+])
+
 # AM_AUX_DIR_EXPAND                                         -*- Autoconf -*-
 
 # Copyright (C) 2001, 2003, 2005  Free Software Foundation, Inc.
Index: kaffe/configure
diff -u kaffe/configure:1.432 kaffe/configure:1.433
--- kaffe/configure:1.432	Sun Mar 13 11:31:39 2005
+++ kaffe/configure	Wed Mar 16 10:30:47 2005
@@ -491,7 +491,7 @@
 
 ac_subdirs_all="$ac_subdirs_all kaffe/kaffevm/boehm-gc/boehm"
 ac_subdirs_all="$ac_subdirs_all libltdl"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT abssrcdir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBTOOL_DEPS LIBLTDL CCLD MKINSTALLDIRS USE_NLS MSGFMT GMSGFMT XGETTEXT MSGMERGE LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB MAY_RUN_PO_TRUE MAY_RUN_PO_FALSE REGEN_FORWARD CONFIG_MD_H CONFIG_CALLKAFFEEXCEPTION_H KAFFEVM_MD_C CONFIG_JIT_MD_H KAFFEVM_JIT_DEF KAFFEVM_ICODE_H HAVE_CONFIG_JIT_MD_H USE_JIT_TRUE USE_JIT_FALSE ENGINE_NAME BCEL_JAR HAVE_BCEL_TRUE HAVE_BCEL_FALSE ENABLE_JVMPI_TRUE ENABLE_JVMPI_FALSE ENABLE_XPROF_TRUE ENABLE_XPROF_FALSE CONFIG_XPROFILE_MD_H JAVAC_FLAGS NEED_LIBXPROF_TRUE NEED_LIBXPROF_FALSE CFLAGS_PG SUN_COMPAT_TRUE SUN_COMPAT_FALSE THREAD_DIR acx_pthread_config PTHREAD_CC PTHREAD_LIBS PTHREAD_CFLAGS SEMAPHORE_LIB VM_LIBS USE_PRECOMPILED_RT_JAR_TRUE USE_PRECOMPILED_RT_JAR_FALSE PATH_TO_RT_JAR JIKESPROG JIKES KAFFEVM_TRAMPOLINES_C JAVA_LIBS with_engine THREAD_SYSTEM KPREFIX KAFFE_ARCHOS ZIP MKTEMP JASMIN HAVE_ZIP_TRUE HAVE_ZIP_FALSE HAVE_JIKES_TRUE HAVE_JIKES_FALSE HAVE_MKTEMP_TRUE HAVE_MKTEMP_FALSE HAVE_JASMIN_TRUE HAVE_JASMIN_FALSE KAFFE_LIBS M_LIBS NET_LIBS ZIP_LIBS LIBADD_GMP USE_GMP SECURITY_LIBS GC_NAME subdirs BOEHMGC_SPECIFIC_FLAGS HAVE_GCJ_SUPPORT_TRUE HAVE_GCJ_SUPPORT_FALSE LIBOBJS USE_COMPAT_IFADDRS_TRUE USE_COMPAT_IFADDRS_FALSE GTK_CAIRO_ENABLED GTK_CAIRO_TRUE GTK_CAIRO_FALSE COND_NATIVE_AWT_TRUE COND_NATIVE_AWT_FALSE COND_KAFFE_X_AWT_TRUE COND_KAFFE_X_AWT_FALSE X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS AWT_LIBS COND_KAFFE_QT_AWT_TRUE COND_KAFFE_QT_AWT_FALSE MOC UIC QEMBED QT_CXXFLAGS QT_LDADD QT_GUILINK QASSISTANTCLIENT_LDADD COND_KAFFE_NANOX_AWT_TRUE COND_KAFFE_NANOX_AWT_FALSE NANOX_CFLAGS COND_CLASSPATH_GTK_AWT_TRUE COND_CLASSPATH_GTK_AWT_FALSE PKG_CONFIG GTK_CFLAGS GTK_LIBS CAIRO_CFLAGS CAIRO_LIBS PANGOFT2_CFLAGS PANGOFT2_LIBS ALSA_CFLAGS ALSA_LIBS ESD_CONFIG ESD_CFLAGS ESD_LIBS COND_SOUND_ALSA_TRUE COND_SOUND_ALSA_FALSE COND_SOUND_ESD_TRUE COND_SOUND_ESD_FALSE COND_NATIVE_SOUND_TRUE COND_NATIVE_SOUND_FALSE COND_PURE_JAVA_MATH_TRUE COND_PURE_JAVA_MATH_FALSE MATH_LIB INCLUDED_EXTENSIONS PROFILE XML2_CONFIG XML_CFLAGS XML_LIBS XSLT_CONFIG XSLT_CFLAGS XSLT_LIBS COND_LIBXMLJ_TRUE COND_LIBXMLJ_FALSE ANTLR_JAR COND_GJDOC_TRUE COND_GJDOC_FALSE DLOPEN_JAVA_LIBS OPT_DLOPEN_JAVA_LIBS KLIBFLAGS KVMBINFLAGS KVMLIBFLAGS INIT_LOAD_LIBRARY BINRELOC_CFLAGS ENABLE_BINRELOC_TRUE ENABLE_BINRELOC_FALSE KAFFEH MAKE_KAFFEH toolslibdir jredir jrebindir jrelibdir nativedir securitydir PATHSEP DIRSEP kaffe_TRANSF kaffeh_TRANSF kaffebin_TRANSF CFLAGS_WITHOUT_PG LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT abssrcdir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CCAS CCASFLAGS build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBTOOL_DEPS LIBLTDL CCLD MKINSTALLDIRS USE_NLS MSGFMT GMSGFMT XGETTEXT MSGMERGE LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB MAY_RUN_PO_TRUE MAY_RUN_PO_FALSE REGEN_FORWARD CONFIG_MD_H CONFIG_CALLKAFFEEXCEPTION_H KAFFEVM_MD_C CONFIG_JIT_MD_H KAFFEVM_JIT_DEF KAFFEVM_ICODE_H HAVE_CONFIG_JIT_MD_H USE_JIT_TRUE USE_JIT_FALSE ENGINE_NAME BCEL_JAR HAVE_BCEL_TRUE HAVE_BCEL_FALSE ENABLE_JVMPI_TRUE ENABLE_JVMPI_FALSE ENABLE_XPROF_TRUE ENABLE_XPROF_FALSE CONFIG_XPROFILE_MD_H JAVAC_FLAGS NEED_LIBXPROF_TRUE NEED_LIBXPROF_FALSE CFLAGS_PG SUN_COMPAT_TRUE SUN_COMPAT_FALSE THREAD_DIR acx_pthread_config PTHREAD_CC PTHREAD_LIBS PTHREAD_CFLAGS SEMAPHORE_LIB VM_LIBS USE_PRECOMPILED_RT_JAR_TRUE USE_PRECOMPILED_RT_JAR_FALSE PATH_TO_RT_JAR JIKESPROG JIKES KAFFEVM_TRAMPOLINES_S JAVA_LIBS with_engine THREAD_SYSTEM KPREFIX KAFFE_ARCHOS ZIP MKTEMP JASMIN HAVE_ZIP_TRUE HAVE_ZIP_FALSE HAVE_JIKES_TRUE HAVE_JIKES_FALSE HAVE_MKTEMP_TRUE HAVE_MKTEMP_FALSE HAVE_JASMIN_TRUE HAVE_JASMIN_FALSE KAFFE_LIBS M_LIBS NET_LIBS ZIP_LIBS LIBADD_GMP USE_GMP SECURITY_LIBS GC_NAME subdirs BOEHMGC_SPECIFIC_FLAGS HAVE_GCJ_SUPPORT_TRUE HAVE_GCJ_SUPPORT_FALSE LIBOBJS USE_COMPAT_IFADDRS_TRUE USE_COMPAT_IFADDRS_FALSE GTK_CAIRO_ENABLED GTK_CAIRO_TRUE GTK_CAIRO_FALSE COND_NATIVE_AWT_TRUE COND_NATIVE_AWT_FALSE COND_KAFFE_X_AWT_TRUE COND_KAFFE_X_AWT_FALSE X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS AWT_LIBS COND_KAFFE_QT_AWT_TRUE COND_KAFFE_QT_AWT_FALSE MOC UIC QEMBED QT_CXXFLAGS QT_LDADD QT_GUILINK QASSISTANTCLIENT_LDADD COND_KAFFE_NANOX_AWT_TRUE COND_KAFFE_NANOX_AWT_FALSE NANOX_CFLAGS COND_CLASSPATH_GTK_AWT_TRUE COND_CLASSPATH_GTK_AWT_FALSE PKG_CONFIG GTK_CFLAGS GTK_LIBS CAIRO_CFLAGS CAIRO_LIBS PANGOFT2_CFLAGS PANGOFT2_LIBS ALSA_CFLAGS ALSA_LIBS ESD_CONFIG ESD_CFLAGS ESD_LIBS COND_SOUND_ALSA_TRUE COND_SOUND_ALSA_FALSE COND_SOUND_ESD_TRUE COND_SOUND_ESD_FALSE COND_NATIVE_SOUND_TRUE COND_NATIVE_SOUND_FALSE COND_PURE_JAVA_MATH_TRUE COND_PURE_JAVA_MATH_FALSE MATH_LIB INCLUDED_EXTENSIONS PROFILE XML2_CONFIG XML_CFLAGS XML_LIBS XSLT_CONFIG XSLT_CFLAGS XSLT_LIBS COND_LIBXMLJ_TRUE COND_LIBXMLJ_FALSE ANTLR_JAR COND_GJDOC_TRUE COND_GJDOC_FALSE DLOPEN_JAVA_LIBS OPT_DLOPEN_JAVA_LIBS KLIBFLAGS KVMBINFLAGS KVMLIBFLAGS INIT_LOAD_LIBRARY BINRELOC_CFLAGS ENABLE_BINRELOC_TRUE ENABLE_BINRELOC_FALSE KAFFEH MAKE_KAFFEH toolslibdir jredir jrebindir jrelibdir nativedir securitydir PATHSEP DIRSEP kaffe_TRANSF kaffeh_TRANSF kaffebin_TRANSF CFLAGS_WITHOUT_PG LTLIBOBJS'
 ac_subst_files='cpu_os_frag cpu_frag engine_frag threads_frag gc_frag'
 
 # Initialize some variables set by options.
@@ -956,6 +956,14 @@
 ac_env_CXXFLAGS_value=$CXXFLAGS
 ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
 ac_cv_env_CXXFLAGS_value=$CXXFLAGS
+ac_env_CCAS_set=${CCAS+set}
+ac_env_CCAS_value=$CCAS
+ac_cv_env_CCAS_set=${CCAS+set}
+ac_cv_env_CCAS_value=$CCAS
+ac_env_CCASFLAGS_set=${CCASFLAGS+set}
+ac_env_CCASFLAGS_value=$CCASFLAGS
+ac_cv_env_CCASFLAGS_set=${CCASFLAGS+set}
+ac_cv_env_CCASFLAGS_value=$CCASFLAGS
 ac_env_CPP_set=${CPP+set}
 ac_env_CPP_value=$CPP
 ac_cv_env_CPP_set=${CPP+set}
@@ -1182,6 +1190,8 @@
               headers in a nonstandard directory <include dir>
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
+  CCAS        assembler compiler command (defaults to CC)
+  CCASFLAGS   assembler compiler flags (defaults to CFLAGS)
   CPP         C preprocessor
   CXXCPP      C++ preprocessor
   F77         Fortran 77 compiler command
@@ -8984,6 +8994,14 @@
 
 
 
+# By default we simply use the C compiler to build assembly code.
+
+test "${CCAS+set}" = set || CCAS=$CC
+test "${CCASFLAGS+set}" = set || CCASFLAGS=$CFLAGS
+
+
+
+
 # Make sure we can run config.sub.
 $ac_config_sub sun4 >/dev/null 2>&1 ||
   { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
@@ -10049,7 +10067,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 10052 "configure"' > conftest.$ac_ext
+  echo '#line 10070 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -11406,7 +11424,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:11409:" \
+echo "$as_me:11427:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -12479,11 +12497,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12482: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12500: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12486: \$? = $ac_status" >&5
+   echo "$as_me:12504: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -12734,11 +12752,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12737: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12755: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12741: \$? = $ac_status" >&5
+   echo "$as_me:12759: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -12794,11 +12812,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12797: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12815: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12801: \$? = $ac_status" >&5
+   echo "$as_me:12819: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14998,7 +15016,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 15001 "configure"
+#line 15019 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -15096,7 +15114,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 15099 "configure"
+#line 15117 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17320,11 +17338,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17323: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17341: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17327: \$? = $ac_status" >&5
+   echo "$as_me:17345: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -17380,11 +17398,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17383: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17401: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17387: \$? = $ac_status" >&5
+   echo "$as_me:17405: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18747,7 +18765,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18750 "configure"
+#line 18768 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18845,7 +18863,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18848 "configure"
+#line 18866 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19700,11 +19718,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19703: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19721: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19707: \$? = $ac_status" >&5
+   echo "$as_me:19725: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -19760,11 +19778,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19763: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19781: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19767: \$? = $ac_status" >&5
+   echo "$as_me:19785: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -21824,11 +21842,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:21827: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:21845: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:21831: \$? = $ac_status" >&5
+   echo "$as_me:21849: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -22079,11 +22097,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:22082: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:22100: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:22086: \$? = $ac_status" >&5
+   echo "$as_me:22104: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -22139,11 +22157,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:22142: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:22160: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:22146: \$? = $ac_status" >&5
+   echo "$as_me:22164: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -24343,7 +24361,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 24346 "configure"
+#line 24364 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -24441,7 +24459,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 24444 "configure"
+#line 24462 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -29008,12 +29026,12 @@
 echo "${ECHO_T}$use_jikes" >&6
 
 
-KAFFEVM_TRAMPOLINES_C=
+KAFFEVM_TRAMPOLINES_S=
 if test x"$with_engine" != x"intrp" ; then
 	echo "$as_me:$LINENO: checking for trampolines" >&5
 echo $ECHO_N "checking for trampolines... $ECHO_C" >&6
 	if test -f $srcdir/config/$Khost_cpu/trampolines.c ; then
-		KAFFEVM_TRAMPOLINES_C="\$(top_srcdir)/config/$Khost_cpu/trampolines.c"
+		KAFFEVM_TRAMPOLINES_S="\$(top_srcdir)/config/$Khost_cpu/trampolines.S"
 
 		echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
@@ -34259,6 +34277,308 @@
 
 
 
+for ac_header in asm/ppc_asm.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------ ##
+## Report this to kaffe at kaffe.org ##
+## ------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
+for ac_header in asm/cachectl.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------ ##
+## Report this to kaffe at kaffe.org ##
+## ------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
 for ac_header in ia64intrin.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -53353,6 +53673,8 @@
 s, at CXXDEPMODE@,$CXXDEPMODE,;t t
 s, at am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t
 s, at am__fastdepCXX_FALSE@,$am__fastdepCXX_FALSE,;t t
+s, at CCAS@,$CCAS,;t t
+s, at CCASFLAGS@,$CCASFLAGS,;t t
 s, at build@,$build,;t t
 s, at build_cpu@,$build_cpu,;t t
 s, at build_vendor@,$build_vendor,;t t
@@ -53434,7 +53756,7 @@
 s, at PATH_TO_RT_JAR@,$PATH_TO_RT_JAR,;t t
 s, at JIKESPROG@,$JIKESPROG,;t t
 s, at JIKES@,$JIKES,;t t
-s, at KAFFEVM_TRAMPOLINES_C@,$KAFFEVM_TRAMPOLINES_C,;t t
+s, at KAFFEVM_TRAMPOLINES_S@,$KAFFEVM_TRAMPOLINES_S,;t t
 s, at JAVA_LIBS@,$JAVA_LIBS,;t t
 s, at with_engine@,$with_engine,;t t
 s, at THREAD_SYSTEM@,$THREAD_SYSTEM,;t t
Index: kaffe/configure.ac
diff -u kaffe/configure.ac:1.122 kaffe/configure.ac:1.123
--- kaffe/configure.ac:1.122	Sun Mar 13 11:31:46 2005
+++ kaffe/configure.ac	Wed Mar 16 10:30:53 2005
@@ -196,6 +196,9 @@
 dnl Find the c++ compiler early on
 AC_PROG_CXX
 
+dnl find the assembler
+AM_PROG_AS
+
 dnl Find the machine type and setup the relevant links
 AC_CANONICAL_HOST
 AC_EXEEXT
@@ -774,12 +777,12 @@
 dnl =========================================================================
 dnl Look for trampoline code if in JIT mode
 dnl -------------------------------------------------------------------------
-KAFFEVM_TRAMPOLINES_C=
+KAFFEVM_TRAMPOLINES_S=
 if test x"$with_engine" != x"intrp" ; then
 	AC_MSG_CHECKING(for trampolines)
 	if test -f $srcdir/config/$Khost_cpu/trampolines.c ; then
-		KAFFEVM_TRAMPOLINES_C="\$(top_srcdir)/config/$Khost_cpu/trampolines.c"
-		AC_SUBST(KAFFEVM_TRAMPOLINES_C)
+		KAFFEVM_TRAMPOLINES_S="\$(top_srcdir)/config/$Khost_cpu/trampolines.S"
+		AC_SUBST(KAFFEVM_TRAMPOLINES_S)
 		AC_MSG_RESULT(yes)
 	else
 		AC_MSG_ERROR(does not support trampolines - now mandatory)
@@ -1046,6 +1049,12 @@
 AC_CHECK_HEADERS([asm/signal.h], [], [], [
 #include <linux/types.h>
 ])
+
+dnl needed for common ppc asm syntax on GNU/Linux
+AC_CHECK_HEADERS([asm/ppc_asm.h])
+
+dnl needed for MIPS cache flushing on GNU/Linux
+AC_CHECK_HEADERS([asm/cachectl.h])
 
 dnl needed for ia64
 AC_CHECK_HEADERS([ia64intrin.h])
Index: kaffe/config/Makefile.am
diff -u kaffe/config/Makefile.am:1.52 kaffe/config/Makefile.am:1.53
--- kaffe/config/Makefile.am:1.52	Sun Jan 30 12:31:05 2005
+++ kaffe/config/Makefile.am	Wed Mar 16 10:30:55 2005
@@ -75,7 +75,7 @@
 	alpha/osf/md.h \
 	alpha/sysdepCallMethod.h \
 	alpha/threads.h \
-	alpha/trampolines.c \
+	alpha/trampolines.S \
 	arm/atomicity.h \
 	arm/callKaffeException.h \
 	arm/common.h \
@@ -100,7 +100,7 @@
         arm/riscos/md.h \
 	arm/threads.h \
 	arm/sysdepCallMethod.h \
-	arm/trampolines.c \
+	arm/trampolines.S \
 	ia64/atomicity.h \
 	ia64/common.h \
 	ia64/linux/config.frag \
@@ -197,7 +197,7 @@
 	i386/solaris2/md.h \
 	i386/sysdepCallMethod.h \
 	i386/threads.h \
-	i386/trampolines.c \
+	i386/trampolines.S \
 	i386/univel_svr4/config.frag \
 	i386/univel_svr4/jit-md.h \
 	i386/univel_svr4/jit3-md.h \
@@ -249,7 +249,7 @@
 	m68k/sunos4/md.h \
 	m68k/sysdepCallMethod.h \
 	m68k/threads.h \
-	m68k/trampolines.c \
+	m68k/trampolines.S \
 	mips/atomicity.h \
 	mips/callKaffeException.h \
 	mips/common.h \
@@ -275,7 +275,7 @@
 	mips/o32-sysdepCallMethod.h \
 	mips/sysdepCallMethod.h \
 	mips/threads.h \
-	mips/trampolines.c \
+	mips/trampolines.S \
 	mips/ultrix4/Make.frag \
 	mips/ultrix4/config.frag \
 	mips/ultrix4/md.c \
@@ -315,7 +315,7 @@
 	powerpc/ppc_stack_frame.h \
 	powerpc/sysdepCallMethod.h \
 	powerpc/threads.h \
-	powerpc/trampolines.c \
+	powerpc/trampolines.S \
 	s390/atomicity32.h \
 	s390/atomicity64.h \
 	s390/common.h \
@@ -365,7 +365,7 @@
 	sparc/sunos4/md.h \
 	sparc/sysdepCallMethod.h \
 	sparc/threads.h \
-	sparc/trampolines.c \
+	sparc/trampolines.S \
 	sparc/uxpds/config.frag \
 	sparc/uxpds/jit-md.h \
 	sparc/uxpds/md.c \
@@ -376,7 +376,7 @@
         sh/linux/md.h \
 	sh/sysdepCallMethod.h \
         sh/threads.h \
-        sh/trampolines.c
+        sh/trampolines.S
 
 jit-md.h: stamp-h01
 	@if test ! -f $@; then rm -f stamp-h01; $(MAKE) stamp-h01; \
Index: kaffe/config/Makefile.in
diff -u kaffe/config/Makefile.in:1.174 kaffe/config/Makefile.in:1.175
--- kaffe/config/Makefile.in:1.174	Thu Feb 24 15:06:50 2005

*** Patch too long, truncated ***




More information about the kaffe mailing list